Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 371799 - net-nds/tac_plus-4.0.4.19-r1 installs faulty /etc/conf.d/tac_plus
Summary: net-nds/tac_plus-4.0.4.19-r1 installs faulty /etc/conf.d/tac_plus
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-15 16:04 UTC by Alan McKinnon
Modified: 2011-06-16 16:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan McKinnon 2011-06-15 16:04:16 UTC
The /etc/conf.d/tac_plus file installed by tac_plus-4.0.4.19-r1 has ^M characters for EOL and no newline at end of file. diff run by conf-update complains.

The new file as displayed by diff is:

 +# Copyright 1999-2011 Gentoo Foundation^M
+# Distributed under the terms of the GNU General Public License v2^M
+# $Header: /var/cvsroot/gentoo-x86/net-nds/tac_plus/files/tac_plus.confd2,v 1.1 2011/06/06 13:27:43 chainsaw Exp $^M
+^M
+# Config file for /etc/init.d/tac_plus^M
+^M
+TAC_PLUS_OPTS=""
\ No newline at end of file


Reproducible: Always

Steps to Reproduce:
1. emerge tac_plus
2. conf-update
3.
Actual Results:  
/etc/conf.d/tac_plus does not use Unix conventions

Expected Results:  
File should use Unix conventions
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2011-06-16 15:32:07 UTC
Fixed. Maybe this needs a revision bump too?
Comment 2 Tony Vroon gentoo-dev 2011-06-16 16:00:34 UTC
+*tac_plus-4.0.4.19-r2 (16 Jun 2011)
+
+  16 Jun 2011; Tony Vroon <chainsaw@gentoo.org> -tac_plus-4.0.4.19.ebuild,
+  -tac_plus-4.0.4.19-r1.ebuild, +tac_plus-4.0.4.19-r2.ebuild:
+  Revision bump now that we have a flawless version, and remove the previous
+  two incarnations.

My apologies for the bumpy ride Alan. Thanks Jeroen!